Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.filechooser
Class FileView

    java.lang.Object
      |
      +--javax.swing.filechooser.FileView

Direct Known Subclasses:
  BasicFileChooserUI.BasicFileView

public abstract class FileView
extends java.lang.Object

FileView defines an abstract class that can be implemented to provide the filechooser with ui information for a File. Each L&F JFileChooserUI object implements this class to pass back the correct icons and type descriptions specific to that L&F. For example, the Windows L&F returns the generic Windows icons for directories and generic files. Additionally, you may want to provide your own FileView to JFileChooser to return different icons or additional information using `JFileChooser.setFileView(javax.swing.filechooser.FileView)`. JFileChooser first looks to see if there is a user defined FileView, if there is, it gets type information from there first. If FileView returns null for any method, JFileChooser then uses the L&F specific view to get the information. So, for example, if you provide a FileView class that returns an `Icon` for JPG files, and returns `null` icons for all other files, the UI's FileView will provide default icons for all other files. For an example implementation of a simple file filter, see `yourJDK/demo/jfc/FileChooserDemo/ExampleFileView.java`. For more information, see the Swing Connection article on the File Chooser

See Also:
  `JFileChooser`

Constructor Summary
`FileView()`

Method Summary
`abstract java.lang.String` | `getDescription(java.io.File f)` A human readable description of the file.
`abstract Icon` | `getIcon(java.io.File f)` The icon that represents this file in the JFileChooser.
`abstract java.lang.String` | `getName(java.io.File f)` The name of the file.
`abstract java.lang.String` | `getTypeDescription(java.io.File f)` A human readable description of the type of the file.
`abstract java.lang.Boolean` | `isTraversable(java.io.File f)` Whether the directory is traversable or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileView

    public FileView()

Method Detail

### getName

    public abstract java.lang.String getName(java.io.File f)

  The name of the file. Normally this would be simply f.getName()

### getDescription

    public abstract java.lang.String getDescription(java.io.File f)

  A human readable description of the file. For example, a file named jag.jpg might have a description that read: "A JPEG image file of James Gosling's face"

### getTypeDescription

    public abstract java.lang.String getTypeDescription(java.io.File f)

  A human readable description of the type of the file. For example, a jpg file might have a type description of: "A JPEG Compressed Image File"

### getIcon

    public abstract Icon getIcon(java.io.File f)

  The icon that represents this file in the JFileChooser.

### isTraversable

    public abstract java.lang.Boolean isTraversable(java.io.File f)

  Whether the directory is traversable or not. This might be useful, for example, if you want a directory to represent a compound document and don't want the user to descend into it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.